module Yukon
  class CredentialsChecker
    
    # Wrong login, password or signature results in response.message : "Security header is not valid"
    def self.check(login, password, signature)
      Yukon.configuration do |config|
        config.login     = login
        config.password  = password
        config.signature = signature
        config.mode      = :test
      end
      
      payment_processor = PaymentProcessor.new('sell_1342421142_biz@gmail.com')
      response = payment_processor.set_express_checkout(200, 
                                                       '127.0.0.1', 
                                                       'http://www.rubyplus.com', 
                                                       'http://www.rubyplus.com/about', 
                                                       'custom')        
      response.success?        
    end
    
  end

end